Bug 412211 - RFE: Internet Configuration Wizard lacks support for PPTP/L2TP
RFE: Internet Configuration Wizard lacks support for PPTP/L2TP
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-05 10:44 EST by Stas Sergeev
Modified: 2010-12-05 02:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:14:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stas Sergeev 2007-12-05 10:44:28 EST
+++ This bug was initially created as a clone of Bug #128094 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040706 Firefox/0.9.1

Description of problem:
I saw that Internet Configuration Wizard doesn't have a connection
wizard for PPTP and/or L2TP that is used for cable connection through
a dialer.

Is this being taken care of?

Most of the Israeli users need this kind of dialer.... 

Here Are some Sites that provide a good L2TP connection Script that
can be a base to a Connection wizard in future Fedora releases:

L2TP Daemon : http://www.l2tpd.org
L2TP "Stand-Alone" Without a Daemon:
http://cables2.netvision.net.il/linux/l2tp-dialer.tar.gz
----------------------------------------
All L2TP users will very thankful if you will create this dialer in
Internet Configuration Wizard...


Version-Release number of selected component (if applicable):
system-config-network-1.3.17-0.FC2.1

How reproducible:
Always

Steps to Reproduce:
There aren't any steps...

Additional info:

-- Additional comment from mattdm@mattdm.org on 2005-04-26 12:17 EST --
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

-- Additional comment from johnthacker@gmail.com on 2006-10-28 12:40 EST --
Closing per lack of response to previous comment.  Note that FC1 and FC2 are no
longer supported even by Fedora Legacy.  If this still occurs on FC3 or FC4,
please assign to that version and Fedora Legacy.  If it still occurs on FC5 or
FC6, please reopen and assign to the correct version.
Comment 1 Stas Sergeev 2007-12-05 10:56:57 EST
Please, don't close this bug again!
As of F8, there is still no support for PPTP.
The pptp package is still not included in fedora
DVD. It is available only in fedora online repository
(formerly extras), but you need to connect to your
ISP to download any package, dont you?
Furthermore, it doesn't even contain the ifup-pptp
and ifdown-pptp scripts, so one have to either write
his own or to get them from another distro. Which
is more than bad.
Many friends of mine throw Fedora away simply because
there is no way they can connect to their ISP with it.
PPTP is about to be the most common way to connect to
ISPs here (in Russia).
All the local fedora-based distributions here have
PPTP supported for ages. So at least it is not all
too difficult to include such a support.

So please, at least don't close that entry any more
until it is actually resolved.
Comment 2 Axel 2007-12-26 03:14:51 EST
https://bugzilla.redhat.com/show_bug.cgi?id=233961 is about the PPTP lack too.
Comment 3 Bug Zapper 2008-11-26 03:51:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:15:15 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 07:50:40 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Stas Sergeev 2010-04-27 09:55:23 EDT
Are there any plans to add the
PPTP support to system-config-network?
Comment 7 Harald Hoyer 2010-04-27 10:00:24 EDT
Hmm, the RFE should be better put on NetworkManager. Sorry.
Comment 8 Stas Sergeev 2010-04-27 10:27:30 EDT
Is there a summary status somewhere on
the PPTP support in fedora, and on
the state of the system-config-network?
Because I am entirely confused.
NetworkManager seems to have some PPTP
support, but what about system-config-network?
And was the pptp package itself included
in the core distro? Were the ifup/ifdown
scripts written? etc. Is there something
I can read about it, or can you provide
some info?
Comment 9 Harald Hoyer 2010-04-27 10:35:55 EDT
s-c-network is going away... networkmanager will take over completly.
Comment 10 Stas Sergeev 2010-04-27 12:10:00 EDT
In what fedora release?
Comment 11 Nick Y Kuzminyh 2010-04-27 12:33:19 EDT
==== PPTP via NM is already done, L2TP is to be done next!!! =========
PPTP is easily configured via Network Manager since Release 11, and starting from Release 12 all necessary packages are at install DVD. 
I want to emphasize that L2TP support "out of the box" is very important for users in xUSSR. While L2TP connection can be configured via ppp command line scripts using xl2tpd, this way is incompatible with Network Manager. NM is much more attractive.
As far as I know, Fedora/RedHat community is principal contributor to Network Manager development. Please be the first once again to implement integrated support of L2TP via Network Manager.
"Upstream" feature request at Gnome.org: <https://bugzilla.gnome.org/show_bug.cgi?id=554046>
Dirk Bundies proposed the solution at: <https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/264691/comments/10>
Comment 12 Bug Zapper 2010-11-04 08:04:19 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-12-05 02:14:04 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.